import System.Log.Logger
import System.Log.Handler.Simple
import System.Log.Handler.Syslog
import System.Log.Handler (setFormatter)
import System.Log.Formatter

comp = "LoggingExample.Main"

setCommonFormatter x =
  let f = simpleLogFormatter "$utcTime $prio $loggername: $msg" in
  setFormatter x f

main = do
  fh <- fileHandler "./logging-example.log" WARNING
  let fh' = setCommonFormatter fh

  sh <- openlog "LoggingExample" [PID] LOCAL0 NOTICE
  let sh' = setCommonFormatter sh

  updateGlobalLogger comp ( addHandler sh' . 
                            addHandler fh' .
                            setLevel NOTICE )

  noticeM comp "Just a notice"
  warningM comp "Just a warning"
